com.fasterxml.jackson.databind

## Interface AnnotationIntrospector.XmlExtensions

Enclosing class:
  AnnotationIntrospector

    public static interface AnnotationIntrospector.XmlExtensions

Add-on extension used for XML-specific configuration, needed to decouple format module functionality from pluggable introspection functionality (especially JAXB-annotation related one).

Since:
  2.13

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `findNamespace(MapperConfig<?> config, Annotated ann)` Method that can be called to figure out generic namespace property for an annotated object.
`Boolean` `isOutputAsAttribute(MapperConfig<?> config, Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (if not, then as element)
`Boolean` `isOutputAsCData(MapperConfig<?> config, Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.
`Boolean` `isOutputAsText(MapperConfig<?> config, Annotated ann)` Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.

### Method Detail

#### findNamespace

    String findNamespace(MapperConfig<?> config,
                         Annotated ann)

Method that can be called to figure out generic namespace property for an annotated object.

Parameters:
  `config` - Configuration settings in effect
  `ann` - Annotated entity to introspect
Returns:
  Null if annotated thing does not define any namespace information; non-null namespace (which may be empty String) otherwise.

#### isOutputAsAttribute

    Boolean isOutputAsAttribute(MapperConfig<?> config,
                                Annotated ann)

Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it be output as an XML attribute or not (if not, then as element)

Parameters:
  `config` - Configuration settings in effect
  `ann` - Annotated entity to introspect
Returns:
  Null if no indicator found; `True` or `False` otherwise

#### isOutputAsText

    Boolean isOutputAsText(MapperConfig<?> config,
                           Annotated ann)

Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be serialized as text, without element wrapper.

Parameters:
  `config` - Configuration settings in effect
  `ann` - Annotated entity to introspect
Returns:
  Null if no indicator found; `True` or `False` otherwise

#### isOutputAsCData

    Boolean isOutputAsCData(MapperConfig<?> config,
                            Annotated ann)

Method used to check whether given annotated element (field, method, constructor parameter) has indicator that suggests it should be wrapped in a CDATA tag.

Parameters:
  `config` - Configuration settings in effect
  `ann` - Annotated entity to introspect
Returns:
  Null if no indicator found; `True` or `False` otherwise